/**
 * A single player
 *
 * @author hajo
 */
public class    Player {

    private final String name;
    private int total;
    private final PigDice dice;

    public Player(String name, PigDice dice) {
        this.name = name;
        this.dice = dice;
    }

    public int roll() {
        return dice.roll();
    }

    public String getName() {
        return name;
    }

    public int getTotal() {
        return total;
    }

    public void addPoints(int points) {
        total = total + points;
    }

    @Override
    public String toString() {
        return "{" + name + " : " + total + "}";
    }


}
